# Uses of Class
org.apache.sling.resourceresolver.impl.providers.ResourceProviderHandler

Packages that use ResourceProviderHandler
Package
Description
org.apache.sling.resourceresolver.impl.helper
org.apache.sling.resourceresolver.impl.providers
org.apache.sling.resourceresolver.impl.providers.stateful

## Uses of ResourceProviderHandler in org.apache.sling.resourceresolver.impl.helper

Methods in org.apache.sling.resourceresolver.impl.helper with parameters of type ResourceProviderHandler
Modifier and Type
Method
Description
`void`
ResourceResolverControl.`registerAuthenticatedProvider(@NotNull ResourceProviderHandler handler, @Nullable Object providerState)`
Register authetnticated provider
Method parameters in org.apache.sling.resourceresolver.impl.helper with type arguments of type ResourceProviderHandler
Modifier and Type
Method
Description
`Iterator<org.apache.sling.api.resource.Resource>`
ResourceResolverControl.`listChildrenInternal(ResourceResolverContext context, Node<ResourceProviderHandler> node, org.apache.sling.api.resource.Resource parent, Iterator<org.apache.sling.api.resource.Resource> realChildren)`
Internal method

## Uses of ResourceProviderHandler in org.apache.sling.resourceresolver.impl.providers

Methods in org.apache.sling.resourceresolver.impl.providers that return types with arguments of type ResourceProviderHandler
Modifier and Type
Method
Description
`List<ResourceProviderHandler>`
ResourceProviderStorage.`getAdaptableHandlers()`
`List<ResourceProviderHandler>`
ResourceProviderStorage.`getAllHandlers()`
`List<ResourceProviderHandler>`
ResourceProviderStorage.`getAttributableHandlers()`
`List<ResourceProviderHandler>`
ResourceProviderStorage.`getAuthRequiredHandlers()`
`List<ResourceProviderHandler>`
ResourceProviderStorage.`getLanguageQueryableHandlers()`
`PathTree<ResourceProviderHandler>`
ResourceProviderStorage.`getTree()`
Methods in org.apache.sling.resourceresolver.impl.providers with parameters of type ResourceProviderHandler
Modifier and Type
Method
Description
`int`
ResourceProviderHandler.`compareTo(ResourceProviderHandler o)`
Constructor parameters in org.apache.sling.resourceresolver.impl.providers with type arguments of type ResourceProviderHandler
Modifier
Constructor
Description
``
`ResourceProviderStorage(List<ResourceProviderHandler> handlers)`

## Uses of ResourceProviderHandler in org.apache.sling.resourceresolver.impl.providers.stateful

Methods in org.apache.sling.resourceresolver.impl.providers.stateful with parameters of type ResourceProviderHandler
Modifier and Type
Method
Description
`@Nullable AuthenticatedResourceProvider`
ProviderManager.`getOrCreateProvider(@NotNull ResourceProviderHandler handler, @NotNull ResourceResolverControl control)`
Get the context
`@Nullable org.apache.sling.spi.resource.provider.ResolveContext<Object>`
ProviderManager.`getOrCreateResolveContext(@NotNull ResourceProviderHandler handler, @NotNull ResourceResolverControl control)`
Get the context
Method parameters in org.apache.sling.resourceresolver.impl.providers.stateful with type arguments of type ResourceProviderHandler
Modifier and Type
Method
Description
`void`
ProviderManager.`authenticateAll(@NotNull List<ResourceProviderHandler> handlers, @NotNull ResourceResolverControl control)`
Authenticate all handlers
`Iterable<AuthenticatedResourceProvider>`
ProviderManager.`getAllBestEffort(@NotNull List<ResourceProviderHandler> handlers, @NotNull ResourceResolverControl control)`
Constructors in org.apache.sling.resourceresolver.impl.providers.stateful with parameters of type ResourceProviderHandler
Modifier
Constructor
Description
``
`AuthenticatedResourceProvider(@NotNull ResourceProviderHandler providerHandler, boolean useRAS, @NotNull org.apache.sling.spi.resource.provider.ResolveContext<Object> resolveContext, @NotNull org.apache.sling.resourceresolver.impl.ResourceAccessSecurityTracker tracker)`
Constructor